Bank Mega - Bug #2057

[HR-Employee Master Data] penginputan family untuk kakak 2 stuck di loading dan tidak mau save.
03/09/2023 06:20 PM - Muhammad Bintar

Status: Closed Start date: 03/09/2023
Priority: Normal Due date: 03/17/2023
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer, mohon support nya untuk perbaikan pada penginputan data family untuk kakak 2 karena pada saat diinput,
terjadi error dan stuck di loading.
History

#1 - 03/10/2023 02:42 PM - Mohammad Daud
- Status changed from New to Assigned

- Assignee changed from Saswanto Tampan to Tri Rizgiaty

Yoma.. Minta bantuannya ya buat case ini

#2 - 03/10/2023 03:46 PM - Tri Rizqiaty

- File clipboard-202303101543-lvjr7.png added
- File clipboard-202303101544-lihho.png added
- File fnGenMD_20230310.js added

- Status changed from Assigned to Developing

Fixing :

1. Tambahkan FamilyType di table hr_cust_md_conf_sub
2. Update Development Workbench - HR_APP - fnGenMD : rubah isi fnGenMD sesuai file terlampir, sesuai gambar dibawabh,

@ tips tuk jalan2 ke b...

WIN-6PEHSTRPCMH...ust_md_conf_sub & X [INEFSE o B I le 0 s e

n | % Incognito

M September « 2010... » | [} Other bookmarks

\ £ MINOVAIS
BANK MEGA ~ Welcome, AllUsering |2)Logout
MinovaERP Mavigation <« Home Employee Reminder Devels rkbench '*/|| Menu Program Management Maintain Master Data
MinovaERP Menu = rY Obiact N F
= 2 ame:
4[| HR Administration g nGentD
i 43 Organization Management ‘ HR_APP . 55:
4 & Emplojee i 1_Pilih HR_APP sctive
IR wser Data wizar EmEmpPromate 2. Pilih inGenMD didalam folder Code
B Maintain Master Data li]anmpPronua\Group System
[ Display Master Dala [=] fEmpProfScorsFilter .
E Upload Employee Phot ,5 fnEmployeeArea Object Type: CODE _—:—*
E Upload MasterData = | | [=lfnEillendda e
" Input Param: mdcode

ﬂ Export Master Data

I» (£ Report Employse Code: if {result.success) )
gxz;z:‘:ﬂemp é::z:iz?:;::ﬁ:a gataMDDOCSE_Gnd.\oadData[resu\t.data};
[=] Delete MD Employee = mGetarrayData 3 - X
[E] Upload PA Temp [ nGetBankBlbranch ] 3. Rubah isi dengan file terlampir '
3 & Time Management ,5 fnGetBankBIcity 3 (atfch e
13 & Benefit Administration =] nGetHeaderData Y} else £}
> & Employee Payroll Data é fnGetHeaderDirect
3 & Payroll Accounting ,5 fnGetLastApplD - X
& & Travel Management [E] fnGetLastEmpID 1 fnlnitEormi;
;gf Reminder é fnGetLastEmplD_Mega
B |__| HR Planning & Development ,5 fnGetLeaveQuota
[ #f HR Intelligence [=] nGetCriginalQuota [ Code Is On The Fly ?
[ o5 System Administration ,5 fnGetParam
< System Implementation [=] fnGetPosition =
pf — LTS ETE R b New [Elsave @ Dpelete D cancel | D Reordering

#3 - 03/10/2023 03:46 PM - Tri Rizqgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizgiaty to Mohammad Daud

#4 - 03/10/2023 04:19 PM - Tri Rizqiaty
- File deleted (fnGenMD_20230310.js)

#5 - 03/10/2023 04:20 PM - Tri Rizqiaty
- File fnGenMD_20230310.js added
Update file terlampir ya, ada perubahan dikit

#6 - 03/16/2023 09:46 AM - Muhammad Bintar
- Status changed from QA Test to Closed

- Assignee changed from Mohammad Daud to Tri Rizqiaty

okeh sudah fix di production.
